Subject: What happened to having to recover from upstream rebase?

From: Phil Susi <[email-masked]>
Date: Mon, 11 May 2015 15:50:15 -0400

So it used to be that when upstream rebased, you'd get an error when you 
tried to pull again and have to fix things up with some git reset or 
rebase hackery.  Trying to demo this today I found that the pull 
*worked*, using an automatic recursive merge.

Am I crazy in thinking this used to error, and if not, when did it change?